Page MenuHomePhabricator

Migrate Mingle data to Phabricator
Closed, ResolvedPublic

Description

Do we want/need to migrate data from Mingle to Phabricator, or do we consider that Bugzilla (synchronized with bingle) is enough?

Details

Reference
fl62

Event Timeline

flimport raised the priority of this task from to Normal.Sep 12 2014, 1:23 AM
flimport set Reference to fl62.

qgil wrote on 2014-05-01 14:30:09 (UTC)

If we have a Phabricator instance one day, would we need to migrate the Mingle data we have, or would it be enough to close past/ongoing sprints and start the new ones in Phabricator?

Are the teams moving from Mingle to Trello migrating data?

fabriceflorin wrote on 2014-05-01 15:44:16 (UTC)

Yes, please. We already have nearly 600 tickets on Mingle that we would like to migrate if/when the time comes to make a switch. The old tickets that have been accepted are not essential, but all future tickets are important, and a lot of good work has gone into them. It would be ideal if they could continue to have embedded links, comments and mockups, and if some of the relations between the cards could be preserved (e.g. this card belongs in this cycle, or release, or is part of this epic story).

awjrichards wrote on 2014-05-01 17:32:10 (UTC)

The mobile web team, who is experimenting with Trello at the moment, migrated relevant data from Mingle -> Trello. We would almost certainly need to do the same if we migrated to Phabricator. By 'relevant data' I primarily mean the bug backlog that we manage in Mingle/Trello (although this will obviously be less of an issue with Phabricator should we also use Phabricator to replace Bugzilla), as well as our product and current/future sprint backlogs. If Trello had support for it, I would've liked to have also imported relevant data to support long term team metrics (particularly around velocity).

qgil wrote on 2014-05-01 17:37:47 (UTC)

According to the current plan, we would ask Mingle / Trello users to migrate to a Phabricator instance with all the Bugzilla reports replicated.

anne wrote on 2014-05-01 21:13:42 (UTC)

Fundraising would probably not want to migrate cards over. As much as I'm sure I'll be hating myself later for this decision, I'd prefer to bring only the relevant cards over by hand to the new backlog.

Alternatively, I could go through mingle and either delete the defunct cards or tag the ones I want to bring over and then do a migration... would be interested to hear your thoughts!

awjrichards wrote on 2014-05-02 00:44:52 (UTC)

Anne, in writing tools to bridge the gap between bugzilla and mingle/trello, I've got a python library for interfacing with Mingle that would allow you to automate most things you may be considering doing by hand - especially if there's some way to identify the cards you want with a (or some?) queries. Depending on how many cards you're talking about moving over, this could save some sanity and time. Anyway, if you're interested, let me know ;)

qgil wrote on 2014-05-06 00:59:14 (UTC)

@Awjrichards, do you think that your Bingle could be morphed into Phingle? :) To be more precise, do you think that your tools could be used to migrate those 600 cards mentioned by @fabriceflorin from Mingle to Phabricator?

I'm not asking you to do it (unless you want to, of course). I'm just asking whether you believe that the Mingle + Phabricator APIs and your tool could make this happen with some love and extra work from someone.

awjrichards wrote on 2014-05-09 13:39:06 (UTC)

@Qgil I would need to look at the Phabricator API, but so long as you can create Maniphest tasks via the API, it should be doable and likely straightforward. The challenging thing may be figuring out how to map all of the properties of Mingle cards to Maniphest tasks.

qgil wrote on 2014-05-09 14:59:04 (UTC)

@Awjrichards you can wait and see how the Bugzilla --> Phabricator migration script is progressing (we haven't started yet). There we don't have a 100% mapping either. In order to follow the progress on this script, please subscribe to T39: Set up permissions for Phabricator.

qgil wrote on 2014-05-13 22:33:15 (UTC)

As of today, the potential migration of Mingle and Trello data is out of scope for Wikimedia Phabricator Day 1. This might change as we know better how that Day 1 looks like, how the Bugzilla migration looks like, etc. However, I just want to mention that today @Rush mentioned that perhaps the script could be written with an abstraction layer to address not only the Bugzilla migration, but also the problem with Mingle and Trello.

A couple of thoughts:

  • Many of these cards are clones of Bugzilla reports, which would make them duplicates after the merge. Then again, if the identification of the related Bugzilla report is in a specific field or in a format that can be parsed, perhaps the script could filter those duplicates and edit the Bugzilla-imported tasks instead?
  • It seems that we could keep different registries of imported tasks e.g. while T1 would come from Bugzilla (default), a task imported from Mingle could be TM1, or TMA1 (A for one Mingle project, B for another...), etc. This way we could still have tasks mingled (pun intended).

awjrichards wrote on 2014-05-15 17:30:12 (UTC)

@Qgil, re 'Many of these cards are clones of Bugzilla reports', from at least the perspective of mobile web, we would probably just filter out the bug cards that were imported to Mingle/Trello. We use a specific card type in Mingle for these cards and have a specific naming convention in Trello, which would make it straightforward to filter these out.

Mingle folks, we need to know which kind of support you are expecting from the Wikimedia Phabricator team (if any) in order to complete the Trello-Phabricator migration.

@Awjrichards, see my comment at T36#11464 , which can be translated to the situation with Mingle.

Qgil added a subscriber: Tgr.Oct 22 2014, 1:44 PM
In T779#13318, @Tgr wrote:

an automated process to move tickets seems doable, an automated process to detect and merge duplicates not so much, and even if it was, there aren't so many potential dupes that it would justify the time investment IMO.
At any rate, we should first create a bunch of test tickets and figure out how to preserve information from Mingle (story points, epics etc.) so rolling up our sleeves and migrating stuff is a bit farther away I think.

In T779#13326, @Qgil wrote:

Note that "a bunch of test tickets" should be created in http://phab-01.wmflabs.org, a place conceived exactly for that purpose (where Story Points and the Burndown extension already exist).

See for instance https://phab-01.wmflabs.org/T22 (a task with Story Points) and https://phab-01.wmflabs.org/burndown/view/12/ (its related burndown chart).

Also, when it comes to write the script to migrate from Mingle to Phabricator, it is probably better to start with the backend that @chasemp is maintaining, used for the fab, Bugzilla, and RT migrations. If there is indeed an interest in using a Mingle migration script, let's create a task for it (just don't expect much from Chase before the RT and Bugzilla migrations, although it is apparently very difficult for him not to be useful at all times). :)

Qgil added a project: Fundraising-Backlog.
Qgil added a subscriber: Multimedia.
Tgr added a comment.Oct 22 2014, 2:07 PM

Thanks Qgil! We don't use burndown charts but rely on Mingle's ability to display story point sums on the boards. I wonder if that is possible to replicate?

Re: automated Mingle migration, there is certainly interest in it, although given that 1) Mingle configuration is very flexible, 2) at the same time field types are very limited so some stuff that should be in fields ends up in the body (for us: related tickets, Bugzilla equivalents, related patches), a different script might be needed for each team.

In T37#13346, @Tgr wrote:

Thanks Qgil! We don't use burndown charts but rely on Mingle's ability to display story point sums on the boards. I wonder if that is possible to replicate?

Let's discuss this at T803: Show task Story Points sums in workboards

atgo raised the priority of this task from Normal to Needs Triage.Dec 8 2014, 9:52 PM
atgo set Security to None.
Tgr added a comment.Dec 8 2014, 11:33 PM

Gilles used P129 to migrate the cards from the multimedia project in Mingle.

Qgil triaged this task as Normal priority.Dec 9 2014, 1:05 PM
chasemp lowered the priority of this task from Normal to Low.Mar 23 2015, 4:23 PM

@Tgr is there any pending work for this task to track? If not can we close it?

I'm not the right person to ask as Multimedia already migrated last year, but T434 suggest all Mingle migrations are done by now.

chasemp closed this task as Resolved.Mar 23 2015, 4:41 PM
chasemp claimed this task.
In T37#1141491, @Tgr wrote:

I'm not the right person to ask as Multimedia already migrated last year, but T434 suggest all Mingle migrations are done by now.

understood and thank you

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 1 2016, 1:59 PM